unit CompInstallNewPackageFrames;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, CompInstallPackageBase, CompInstallTools, StdCtrls;

type
  TInstallNewPackageFrame = class(TInstallBasePage)
    NameEdit: TEdit;
    DelphiPackageRadio: TRadioButton;
    CppBuilderPackageRadio: TRadioButton;
    procedure NameEditChange(Sender: TObject);
    procedure DelphiPackageRadioClick(Sender: TObject);
    procedure CppBuilderPackageRadioClick(Sender: TObject);
  protected
    FPersonality: TPackagePersonality;
    procedure SetPackageName(const Value: string); override;
    function GetPackageName: string; override;
  public
    constructor Create(AOwner: TComponent); override;
    property Personality: TPackagePersonality read FPersonality write FPersonality;
  end;

implementation

{$R *.dfm}

uses
  ToolsAPI;

{ TInstallNewPackageFrame }

procedure TInstallNewPackageFrame.CppBuilderPackageRadioClick(Sender: TObject);
begin
  inherited;
  FPersonality := ppCppBuilder;
end;

constructor TInstallNewPackageFrame.Create(AOwner: TComponent);
begin
  inherited;
  NameLabel.FocusControl := NameEdit;
{$IF (RTLVersion >= 18.5) or defined(VER185)}
  CppBuilderPackageRadio.Enabled := HasPersonality(sCBuilderPersonality);
  DelphiPackageRadio.Enabled := HasPersonality(sDelphiPersonality);
  DelphiPackageRadio.Checked := IsDelphiPersonality;
  CppBuilderPackageRadio.Checked := IsCppPersonality;
{$ELSE}
  CppBuilderPackageRadio.Enabled := False;
  DelphiPackageRadio.Checked := True;
{$IFEND}
end;

procedure TInstallNewPackageFrame.DelphiPackageRadioClick(Sender: TObject);
begin
  inherited;
  FPersonality := ppDelphi;
end;

function TInstallNewPackageFrame.GetPackageName: string;
begin
  Result := NameEdit.Text;
end;

procedure TInstallNewPackageFrame.NameEditChange(Sender: TObject);
begin
  inherited;
  FindPackageDescription;
end;

procedure TInstallNewPackageFrame.SetPackageName(const Value: string);
begin
  NameEdit.Text := Value;
end;

end.
